Bug 69280 - [WinCairo] Support a wincairo Skipped File
Summary: [WinCairo] Support a wincairo Skipped File
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brent Fulgham
URL:
Keywords:
Depends on:
Blocks: 69272
  Show dependency treegraph
 
Reported: 2011-10-03 12:21 PDT by Brent Fulgham
Modified: 2011-10-05 13:47 PDT (History)
2 users (show)

See Also:


Attachments
Patch (300.23 KB, patch)
2011-10-04 14:50 PDT, Brent Fulgham
no flags Details | Formatted Diff | Diff
Create a Skiplist for WinCairo. (303.42 KB, patch)
2011-10-04 19:59 PDT, Brent Fulgham
aroben: review+
Details | Formatted Diff | Diff
Update old-build-webkit-tests to know about wincairo (2.47 KB, patch)
2011-10-04 20:04 PDT, Brent Fulgham
aroben: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2011-10-03 12:21:35 PDT
Update the testing infrastructure to support the WinCairo port.  This consists of:
1. Teaching "old-run-webkit-tests" to recognize when it is being asked to test a WinCairo build.
2.  Add a "platform/wincairo" directory and a "Skipped" list.
3.  Populate the "Skipped" list with the current set of failing WinCairo tests so that the build bot does not turn red when we activate tests.
Comment 1 Brent Fulgham 2011-10-04 09:25:40 PDT
This first patch simply adds a 'wincairo' platform directory to the LayoutTests/platform tree, and a new Skipped file that instructs the test infrastructure to ignore all tests that currently fail when running the WinCairo build.
Comment 2 Brent Fulgham 2011-10-04 14:50:38 PDT
Created attachment 109699 [details]
Patch
Comment 3 Brent Fulgham 2011-10-04 19:59:10 PDT
Created attachment 109733 [details]
Create a Skiplist for WinCairo.
Comment 4 Brent Fulgham 2011-10-04 20:04:59 PDT
Created attachment 109735 [details]
Update old-build-webkit-tests to know about wincairo
Comment 5 Adam Roben (:aroben) 2011-10-05 12:30:08 PDT
Comment on attachment 109735 [details]
Update old-build-webkit-tests to know about wincairo

View in context: https://bugs.webkit.org/attachment.cgi?id=109735&action=review

> Tools/Scripts/old-run-webkit-tests:2479
> -
> + 

Might as well undo this.

> Tools/Scripts/webkitdirs.pm:238
>      if ($configuration && isWinCairo()) {
> -        $configuration .= "_Cairo_CFLite";
> +        unless ($configuration =~ /_Cairo_CFLite$/) {
> +            $configuration .= "_Cairo_CFLite";
> +        }
>      }

Was this always buggy? Why hadn't we run into it before?
Comment 6 Adam Roben (:aroben) 2011-10-05 12:31:12 PDT
Comment on attachment 109733 [details]
Create a Skiplist for WinCairo.

You can list directories in the Skipped file to skip all tests in that directory and its subdirectories. Maybe that would be a simpler way to start out? (And it would guard you against new tests being added in a directory that you haven't un-skipped yet.)
Comment 7 Brent Fulgham 2011-10-05 13:12:03 PDT
Comment on attachment 109735 [details]
Update old-build-webkit-tests to know about wincairo

View in context: https://bugs.webkit.org/attachment.cgi?id=109735&action=review

>> Tools/Scripts/webkitdirs.pm:238
>>      }
> 
> Was this always buggy? Why hadn't we run into it before?

I don't think the code had been executed previously.  I ran across this when passing the command line "--wincairo" argument to the test tool. I think an earlier step generates the configuration name based on the build (which causes the _Cairo_CFLite to be affixed to the end). Then, the test harness processes the name again and added a second application of the suffix.

There is probably a cleaner way to address this...
Comment 8 Brent Fulgham 2011-10-05 13:35:38 PDT
Committed r96744: <http://trac.webkit.org/changeset/96744>